Roblox
Get Roblox experience details and badges
POST
/
tools
/
roblox
/
game-detail
Get Roblox experience details and badges
curl --request POST \
--url https://api.osint.ly/tools/roblox/game-detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "some-player",
"type": "username",
"universeId": "1234567"
}
'import requests
url = "https://api.osint.ly/tools/roblox/game-detail"
payload = {
"value": "some-player",
"type": "username",
"universeId": "1234567"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'some-player', type: 'username', universeId: '1234567'})
};
fetch('https://api.osint.ly/tools/roblox/game-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/roblox/game-detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'value' => 'some-player',
'type' => 'username',
'universeId' => '1234567'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/roblox/game-detail"
payload := strings.NewReader("{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"universeId\": \"1234567\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/roblox/game-detail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"universeId\": \"1234567\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/roblox/game-detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"universeId\": \"1234567\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"badges": [
{
"awardedCount": 260000,
"created": "2025-05-15T00:00:00.000Z",
"description": "Example text.",
"enabled": true,
"icon": "https://tr.rbxcdn.com/example",
"id": 4836364231059525,
"name": "Years of Service",
"updated": "2025-09-26T00:00:00.000Z",
"winRatePercentage": 0
}
],
"game": {
"avatarType": "example",
"canonicalUrlPath": "example",
"copyingAllowed": false,
"created": "2025-01-01T00:00:00.000Z",
"creator": {
"hasVerifiedBadge": true,
"id": 1234567,
"name": "ExamplePlayer",
"type": "User"
},
"description": "Example text.",
"favorites": 4419,
"genre": "Fighting",
"genrePrimary": "example",
"genreSecondary": "example",
"id": 341430,
"isContentRestricted": false,
"maxPlayers": 10,
"name": "Chaos Canyon",
"playing": 5,
"price": null,
"privateServersAllowed": false,
"rootPlaceId": 67940,
"thumbnail": "https://tr.rbxcdn.com/example",
"updated": "2026-02-07T00:00:00.000Z",
"visits": 4170
},
"media": [
{
"altText": null,
"approved": true,
"assetType": "example",
"imageId": 62011774353552,
"thumbnail": "https://tr.rbxcdn.com/example",
"videoHash": null,
"videoTitle": null
}
],
"nextPageCursor": null,
"partialErrors": [],
"previousPageCursor": null,
"servers": [
{
"fps": 59.953682,
"id": "ad51ea2d-e4c0-15de-4da5-cfa435e00a34",
"maxPlayers": 10,
"ping": 115,
"playing": 5
}
],
"votes": {
"down": 780,
"likeRatio": 68,
"up": 1700
}
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "game-detail",
"query": {
"normalizedType": "username",
"type": "username",
"universeId": "341430",
"value": "ExamplePlayer"
},
"tool": "roblox"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Not found"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Body
application/json
Was this page helpful?
⌘I
Get Roblox experience details and badges
curl --request POST \
--url https://api.osint.ly/tools/roblox/game-detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "some-player",
"type": "username",
"universeId": "1234567"
}
'import requests
url = "https://api.osint.ly/tools/roblox/game-detail"
payload = {
"value": "some-player",
"type": "username",
"universeId": "1234567"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'some-player', type: 'username', universeId: '1234567'})
};
fetch('https://api.osint.ly/tools/roblox/game-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/roblox/game-detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'value' => 'some-player',
'type' => 'username',
'universeId' => '1234567'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/roblox/game-detail"
payload := strings.NewReader("{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"universeId\": \"1234567\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/roblox/game-detail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"universeId\": \"1234567\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/roblox/game-detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"value\": \"some-player\",\n \"type\": \"username\",\n \"universeId\": \"1234567\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"badges": [
{
"awardedCount": 260000,
"created": "2025-05-15T00:00:00.000Z",
"description": "Example text.",
"enabled": true,
"icon": "https://tr.rbxcdn.com/example",
"id": 4836364231059525,
"name": "Years of Service",
"updated": "2025-09-26T00:00:00.000Z",
"winRatePercentage": 0
}
],
"game": {
"avatarType": "example",
"canonicalUrlPath": "example",
"copyingAllowed": false,
"created": "2025-01-01T00:00:00.000Z",
"creator": {
"hasVerifiedBadge": true,
"id": 1234567,
"name": "ExamplePlayer",
"type": "User"
},
"description": "Example text.",
"favorites": 4419,
"genre": "Fighting",
"genrePrimary": "example",
"genreSecondary": "example",
"id": 341430,
"isContentRestricted": false,
"maxPlayers": 10,
"name": "Chaos Canyon",
"playing": 5,
"price": null,
"privateServersAllowed": false,
"rootPlaceId": 67940,
"thumbnail": "https://tr.rbxcdn.com/example",
"updated": "2026-02-07T00:00:00.000Z",
"visits": 4170
},
"media": [
{
"altText": null,
"approved": true,
"assetType": "example",
"imageId": 62011774353552,
"thumbnail": "https://tr.rbxcdn.com/example",
"videoHash": null,
"videoTitle": null
}
],
"nextPageCursor": null,
"partialErrors": [],
"previousPageCursor": null,
"servers": [
{
"fps": 59.953682,
"id": "ad51ea2d-e4c0-15de-4da5-cfa435e00a34",
"maxPlayers": 10,
"ping": 115,
"playing": 5
}
],
"votes": {
"down": 780,
"likeRatio": 68,
"up": 1700
}
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "game-detail",
"query": {
"normalizedType": "username",
"type": "username",
"universeId": "341430",
"value": "ExamplePlayer"
},
"tool": "roblox"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Not found"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}